Bug 432205 - Review Request: exe - eXe eLearning XHTML editor
Review Request: exe - eXe eLearning XHTML editor
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-09 16:22 EST by Hans de Goede
Modified: 2015-01-07 19:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-06 05:14:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2008-02-09 16:22:09 EST
Spec URL: http://people.atrpms.net/~hdegoede/exe.spec
SRPM URL: http://people.atrpms.net/~hdegoede/exe-1.03.0.3373-1.fc9.src.rpm
Description:
eXe, the eLearning XHTML editor, is an authoring environment which enables
teachers to publish web content in standard package formats (like IMS
Content Packages and SCORM) without the need to become proficient in HTML
or XML markup.  Content generated using eXe can be used by any Learning
Management System.

---

Note to reviewers, exe uses an included (older) copy of twisted and nevow (which builds on top of twisted). I've tried making exe use the system version of both, but it will not work with the system version.
Comment 1 Lubomir Kundrak 2008-03-02 14:35:45 EST
Taking this for review.

(In reply to comment #0)
> Note to reviewers, exe uses an included (older) copy of twisted and nevow
(which builds on top of twisted). I've tried making exe use the system version
of both, but it will not work with the system version.

What did it fail for -- isn't it easily fixable? Do you by chance still have the
build logs? Did you communicate that upstream?
Comment 2 Hans de Goede 2008-03-02 16:50:44 EST
(In reply to comment #1)
> Taking this for review.
> 
> (In reply to comment #0)
> > Note to reviewers, exe uses an included (older) copy of twisted and nevow
> (which builds on top of twisted). I've tried making exe use the system version
> of both, but it will not work with the system version.
> 
> What did it fail for -- isn't it easily fixable?

It builds and runs, but doesn't work. With some python warnings thrown to the
console. Since I'm a bit of a python noob, it isn't easily fixable for me.

Notice that it will only run with the newer bits when replacing both twisted and
nevow, replacing only one is a recipe for even bigger disaster.

> Did you communicate that upstream?

Erm, no, will do.
Comment 3 Lubomir Kundrak 2008-03-15 10:06:13 EDT
1.) You install the .desktop file with desktop-file-install;

Please add BuildRequires: desktop-file-utils

2.) Requires:       firefox

This doesn't seem correct to me. It doesn't work with seamonkey or konqueror?
Wouldn't requiring webclient be better?

3.) This could possibly be conditionally present for fedora < 9

%{python_sitelib}/%{name}*.egg-info

4.) RPMLint:

Needs some love; either address those or explain why are they harmless:

exe.noarch: W: devel-file-in-non-devel-package
/usr/share/exe/twisted/internet/iocpreactor/_iocp.c
exe.noarch: W: devel-file-in-non-devel-package
/usr/share/exe/twisted/spread/cBanana.c
exe.noarch: E: arch-independent-package-contains-binary-or-object
/usr/share/exe/templates/mimetex.cgi
exe.noarch: W: class-path-in-manifest /usr/share/exe/templates/geogebra.jar

By the way -- java file? You don't depend on java.

exe.src:37: W: rpm-buildroot-usage %build rm -rf $RPM_BUILD_ROOT
exe.src: E: no-cleaning-of-buildroot %install

Move "rm -rf $RPM_BUILD_ROOT" from %build to %install

5.) Did you check the functionality? The package seemed to be problematic with
my Firefox setup; I couldn't close the window, etc. I'll be more specific if it
worked for you.
Comment 4 Hans de Goede 2008-03-16 10:18:02 EDT
(In reply to comment #3)
> 1.) You install the .desktop file with desktop-file-install;
> 
> Please add BuildRequires: desktop-file-utils
> 

Will do (once other points below are clear).

> 2.) Requires:       firefox
> 
> This doesn't seem correct to me. It doesn't work with seamonkey or konqueror?
> Wouldn't requiring webclient be better?
> 

No it needs firefox (maybe now xulrunner) its an application written in Xul,
deriving from the firefox xul code, some error dialogs etc, still clearly show this.

> 3.) This could possibly be conditionally present for fedora < 9
> 
> %{python_sitelib}/%{name}*.egg-info
> 

Good point.


> 4.) RPMLint:
> 
> Needs some love; either address those or explain why are they harmless:
> 
> exe.noarch: W: devel-file-in-non-devel-package
> /usr/share/exe/twisted/internet/iocpreactor/_iocp.c
> exe.noarch: W: devel-file-in-non-devel-package
> /usr/share/exe/twisted/spread/cBanana.c

I'll fix these, it looks like the included copy of twisted is a full copy, I'll
strip it down to only the needed parts.

> exe.noarch: E: arch-independent-package-contains-binary-or-object
> /usr/share/exe/templates/mimetex.cgi

Hmm, how weird, I'll ask upstream why thats there (and in the mean time remove it).

> exe.noarch: W: class-path-in-manifest /usr/share/exe/templates/geogebra.jar
> 
> By the way -- java file? You don't depend on java.
> 

Yes, exe is an editor for eleanring material, which is meant to be viewed with a
webbrowser, I guess this is an applet for one of the elearning template's which
are part of one eXe.

> exe.src:37: W: rpm-buildroot-usage %build rm -rf $RPM_BUILD_ROOT
> exe.src: E: no-cleaning-of-buildroot %install
> 
> Move "rm -rf $RPM_BUILD_ROOT" from %build to %install
> 

Will do.

> 5.) Did you check the functionality? The package seemed to be problematic with
> my Firefox setup; I couldn't close the window, etc. I'll be more specific if it
> worked for you.

I packaged this because a college of mine asked for it (I recently converted him
from Ubuntu to Fedora), he has been using it for a while. The window not closing
part is "normal", you should get a dialoge saying that you should use the menu
to exit instead though, do you get that dialog?
Comment 5 Hans de Goede 2008-03-17 05:28:00 EDT
I've done some more looking into the inclusing of cgi and jar files in eXe and
I'm currently working on this with upstream, see:
https://eduforge.org/forum/forum.php?thread_id=2150&forum_id=298
Comment 7 Hans de Goede 2008-08-06 05:14:24 EDT
Okay, all (almost all?) needed info for cleaning up the licensing mess that is eXe is now available here:
http://eduforge.org/forum/message.php?msg_id=5768

But I simply don't have the time / motivation to clean this up, so I'm closing this review request as wontfix.

Note You need to log in before you can comment on or make changes to this bug.